Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622653 - man package missing in Fedora 14
man package missing in Fedora 14
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 00:42 EDT by Naresh Sukhija
Modified: 2010-10-06 06:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 01:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naresh Sukhija 2010-08-10 00:42:27 EDT
Description of problem:
man package missing in Fedora 14

Version-Release number of selected component (if applicable):


How reproducible:
Install branched Fedora 14 and try using man command

Steps to Reproduce:
1. Install Branched Fedora 14 located at http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/
2. Try to run man command, it's not found
3. Try to install "man" package, not found by yum
  
Actual results:
man command not found

Expected results:
man command should run

Additional info:
Comment 1 Naresh Sukhija 2010-08-10 00:43:40 EDT
Correction, the install location of Branched Fedora 14 is:
http://download.fedora.redhat.com/pub/fedora/linux/development/14/i386/os/
Comment 2 Ivana Varekova 2010-08-10 01:43:35 EDT
man package was substitute by man-db package i fc14 branch.
Comment 3 Nathan Thomas 2010-10-05 07:04:02 EDT
Hi,

If I understand correctly, the replacement of man with man-db shouldn't make any difference in practice: calling man at the command line should still invoke the requested man page (e.g. 'man ifconfig' should still bring up the ifconfig man page). However, when I tried running man in my F14 beta installation, I first got an error complaining that the package most wasn't found; I installed most with yum, then ran man again, this time receiving the error message 'TERM environment variable needs set'.

I switched terminals from from Terminal (Xfce4) to gnome-terminal, where I was able to use man to read man pages successfully.

Naresh, what terminal are you using? And does installing most from the repo ('yum install most') help? Are you running the default GNOME installation? (I installed the Xfce Spin.)

Best wishes
Nathan
Comment 4 Naresh Sukhija 2010-10-06 06:51:41 EDT
I had initially done a minimum install of Branched F14, so it did not include man-db package. Then when did "yum search man", it did not give any results, so raised this bug report
Later, after seeing the resolution of this bug report, I installed man-db package and was able to use man pages

Note You need to log in before you can comment on or make changes to this bug.